# Bloat Monopoly

Bloat monopoly is an exclusive control over or [de-facto](de_facto.md) ownership of [software](software.md) not by legal means but by means of [bloat](bloat.md). I.e. even if given sofware is [FOSS](foss.md) (that is its source code is public and everyone has basic legal rights to it), it can still be made **practically** controlled exclusively by the developer because the developer is the only one with sufficient resources and/or know-how to be able to execute the basic rights such as meaningful modifications of the software.

Bloat monopoly is [capitalism](capitalism.md)'s circumvention of [free](free.md) licenses and taking advantage of their popularity. With bloat monopoly capitalists can stick a [FOSS](foss.md) license to their software, get an automatic approval ([openwashing](openwashing.md)) of most "open-source" fanbois as well as their free work time, while really staying in control almost to the same degree as with [proprietary](proprietary.md) software.

Examples of bloat monopoly include mainstream web browsers ([furryfox](firefox.md), [chromium](chromium.md), ...), [Android](android.md), [Linux](linux.md), [Blender](blender.md) etc. This software is characteristic by its difficulty to be even compiled, yet alone understood, maintained and meaningfully modified by a lone average programmer, by its astronomical [maintenance](maintenance.md) cost that is hard to pay for volunteers, and by aggressive [update culture](update_culture.md).